> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-transformations-describe.md).

# workflows versions transformations describe

## Synopsis

### Describe Workflow Transformations

```shell
omics alpha workbench workflows versions transformations describe TRANSFORMATION_ID [TRANSFORMATION_ID ...]
  [--workflow=WORKFLOW_ID]
  [--version=VERSION_ID]
  [--namespace=NAMESPACE]
```

## Description

Describe workflow transformations for one or more given transformation IDs. This command returns detailed information about each specified workflow transformation.

## Examples

Describe a single workflow transformation by its ID:

```shell
omics alpha workbench workflows versions transformations describe my-transformation-1
```

Describe multiple workflow transformations by their IDs:

```shell
omics alpha workbench workflows versions transformations describe my-transformation-1 my-transformation-2
```

## Positional Arguments

### `TRANSFORMATION_ID`=`STRING`

One or more IDs of the workflow transformations to be described. This positional argument is required.

## Flags

### `--namespace`=`STRING`

An optional flag to define the namespace to connect to. By default, the namespace is extracted from the user's credentials.

### `--workflow`=`STRING`

The ID of the workflow for which the transformations will be described.

### `--version`=`STRING`

The ID of the workflow version for which the transformations will be described.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-transformations-describe.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
